<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Site Team Infusion
| Author: Hisashi
| Email: hisashi@hoshi-fusion.com.pl
| Web: http://hoshi-fusion.com.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."site_team/infusion_db.php";

 if (file_exists(LC_SITETEAM.$settings['locale']."/admin/team.php")) {
	include LC_SITETEAM.$settings['locale']."/admin/team.php";
} else {
	include LC_SITETEAM."English/admin/team.php";
}


// Infusion Information
$inf_title = $locale['hftp_000'];
$inf_description = $locale['hftp_000b'];
$inf_version = "4.2";
$inf_developer = "Hisashi";
$inf_email = "hisashi@hoshi-fusion.com.pl";
$inf_weburl = "http://hoshi-fusion.com.pl";

// Infusion Paths
$inf_folder = "site_team";

$inf_newtable[1] = DB_SITETEAM." (
	          `st_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
            `st_name` varchar(50) NOT NULL,
            `st_realname` varchar(50) NOT NULL,
            `st_location` varchar(100) DEFAULT NULL,
            `st_age` varchar(50) NOT NULL,
            `st_avatar` varchar(100) NOT NULL,
            `st_type` smallint(3) NOT NULL,
            `st_functions` text NOT NULL,
            `st_about` text NOT NULL,
            `st_gg` char(100) NOT NULL,
            `st_skype` char(100) NOT NULL,
            `st_email` char(100) NOT NULL,
            `st_active` int(1) NOT NULL,
            `st_leave` int(1) NOT NULL,
             PRIMARY KEY (`st_id`)
         ) ENGINE=MyISAM";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = DB_SITETEAM;


$inf_adminpanel[1] = array(
	                   "title" => $locale['hftp_000b'],
                     "panel" => "administration/site_team.php",
	                   "image" => "site_team.png",
	                   "rights" => "ST1"
                   );

$inf_adminpanel[2] = array(
	                   "title" => $locale['hftp_049'],
                     "panel" => "administration/images.php",
	                   "image" => "site_team.png",
	                   "rights" => "ST2"
                   );

$inf_sitelink[1] = array(
	              "title" => $locale['hftp_000'],
	              "url" => "site_team.php",
	              "visibility" => "0"
              );


?>